For the complete documentation index, see llms.txt. This page is also available as Markdown.

Components

List Stack Components

get

Get a list of all stack components.

Args: component_filter_model: Filter model used for pagination, sorting, filtering. project_name_or_id: Optional name or ID of the project to filter by. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: List of stack components matching the filter criteria.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
project_name_or_idany of · nullableOptional
stringOptional
or
string · uuidOptional
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
scope_typestring · nullableOptional
nameany of · nullableOptional
stringOptional
or
string[]Optional
flavorany of · nullableOptional
stringOptional
or
string[]Optional
typeany of · nullableOptional
stringOptional
or
string[]Optional
connector_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
stack_idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/components
GET /api/v1/components HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "index": 1,
  "max_size": 1,
  "total_pages": 1,
  "total": 1,
  "items": [
    {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "type": "alerter",
        "flavor_name": "text",
        "integration": "text",
        "logo_url": "text"
      },
      "metadata": {
        "configuration": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "environment": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "secrets": [
          "123e4567-e89b-12d3-a456-426614174000"
        ],
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "connector_resource_id": "text",
        "connector": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "user_id": "123e4567-e89b-12d3-a456-426614174000",
            "description": "",
            "connector_type": "text",
            "auth_method": "text",
            "resource_types": [
              "text"
            ],
            "resource_id": "text",
            "supports_instances": false,
            "expires_at": "2026-01-01T00:00:00.000Z",
            "expires_skew_tolerance": 1
          },
          "metadata": {
            "configuration": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "expiration_seconds": 1,
            "labels": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            }
          },
          "resources": {
            "user": {
              "body": {
                "created": "2026-01-01T00:00:00.000Z",
                "updated": "2026-01-01T00:00:00.000Z",
                "active": false,
                "activation_token": "text",
                "full_name": "",
                "email_opted_in": true,
                "is_service_account": true,
                "is_admin": true,
                "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                "avatar_url": "text"
              },
              "metadata": {
                "password_changed_at": "2026-01-01T00:00:00.000Z",
                "email": "",
                "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                "user_metadata": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "resources": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "permission_denied": false,
              "name": "text"
            },
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "flavor": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "user_id": "123e4567-e89b-12d3-a456-426614174000",
            "type": "alerter",
            "display_name": "text",
            "integration": "text",
            "source": "text",
            "logo_url": "text",
            "is_custom": true
          },
          "metadata": {
            "config_schema": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            },
            "connector_type": "text",
            "connector_resource_type": "text",
            "connector_resource_id_attr": "text",
            "docs_url": "text",
            "sdk_docs_url": "text"
          },
          "resources": {
            "user": {
              "body": {
                "created": "2026-01-01T00:00:00.000Z",
                "updated": "2026-01-01T00:00:00.000Z",
                "active": false,
                "activation_token": "text",
                "full_name": "",
                "email_opted_in": true,
                "is_service_account": true,
                "is_admin": true,
                "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
                "avatar_url": "text"
              },
              "metadata": {
                "password_changed_at": "2026-01-01T00:00:00.000Z",
                "email": "",
                "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
                "user_metadata": {
                  "ANY_ADDITIONAL_PROPERTY": "anything"
                }
              },
              "resources": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              },
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "permission_denied": false,
              "name": "text"
            },
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  ]
}

Get Stack Component

get

Returns the requested stack component.

Args: component_id: ID of the stack component. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: The requested stack component.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
component_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for stack components.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/components/{component_id}
GET /api/v1/components/{component_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "alerter",
    "flavor_name": "text",
    "integration": "text",
    "logo_url": "text"
  },
  "metadata": {
    "configuration": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "environment": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "secrets": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "connector_resource_id": "text",
    "connector": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "",
        "connector_type": "text",
        "auth_method": "text",
        "resource_types": [
          "text"
        ],
        "resource_id": "text",
        "supports_instances": false,
        "expires_at": "2026-01-01T00:00:00.000Z",
        "expires_skew_tolerance": 1
      },
      "metadata": {
        "configuration": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "expiration_seconds": 1,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "flavor": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "type": "alerter",
        "display_name": "text",
        "integration": "text",
        "source": "text",
        "logo_url": "text",
        "is_custom": true
      },
      "metadata": {
        "config_schema": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "connector_type": "text",
        "connector_resource_type": "text",
        "connector_resource_id_attr": "text",
        "docs_url": "text",
        "sdk_docs_url": "text"
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Update Stack Component

put

Updates a stack component.

Args: component_id: ID of the stack component. component_update: Stack component to use to update.

Returns: Updated stack component.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
component_idstring · uuidRequired
Body

Update model for stack components.

namestring · max: 255 · nullableOptional
connector_resource_idstring · nullableOptional

The ID of a specific resource instance to gain access to through the connector

connectorstring · uuid · nullableOptional
Responses
200

Successful Response

application/json

Response model for stack components.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/components/{component_id}
PUT /api/v1/components/{component_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 362

{
  "name": "text",
  "configuration": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "environment": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "connector_resource_id": "text",
  "labels": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "connector": "123e4567-e89b-12d3-a456-426614174000",
  "add_secrets": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "remove_secrets": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "alerter",
    "flavor_name": "text",
    "integration": "text",
    "logo_url": "text"
  },
  "metadata": {
    "configuration": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "environment": {
      "ANY_ADDITIONAL_PROPERTY": "text"
    },
    "secrets": [
      "123e4567-e89b-12d3-a456-426614174000"
    ],
    "labels": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "connector_resource_id": "text",
    "connector": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "description": "",
        "connector_type": "text",
        "auth_method": "text",
        "resource_types": [
          "text"
        ],
        "resource_id": "text",
        "supports_instances": false,
        "expires_at": "2026-01-01T00:00:00.000Z",
        "expires_skew_tolerance": 1
      },
      "metadata": {
        "configuration": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "expiration_seconds": 1,
        "labels": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        }
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "flavor": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "type": "alerter",
        "display_name": "text",
        "integration": "text",
        "source": "text",
        "logo_url": "text",
        "is_custom": true
      },
      "metadata": {
        "config_schema": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "connector_type": "text",
        "connector_resource_type": "text",
        "connector_resource_id_attr": "text",
        "docs_url": "text",
        "sdk_docs_url": "text"
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Deregister Stack Component

delete

Deletes a stack component.

Args: component_id: ID of the stack component.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
component_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/components/{component_id}
DELETE /api/v1/components/{component_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?